<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__crypto__hw__error__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_crypto_hw_error_t</compoundname>
    <includes local="no">cy_crypto_common.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__crypto__hw__error__t_1a647486268a54948ae049242cc6a56e46" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_crypto_hw_error_t::errorStatus0</definition>
        <argsstring />
        <name>errorStatus0</name>
        <briefdescription>
<para>Captures error description information for one of obtained hardware error: </para>        </briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>for <bold>INSTR_OPC_ERROR</bold>: - violating the instruction.</para></listitem><listitem><para>for <bold>INSTR_CC_ERROR</bold> : - violating the instruction condition code.</para></listitem><listitem><para>for <bold>BUS_ERROR</bold> : - violating the transfer address. </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="329" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="329" />
      </memberdef>
      <memberdef id="structcy__stc__crypto__hw__error__t_1a92b51f5f38bb57deb4428ce9b941cb55" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_crypto_hw_error_t::errorStatus1</definition>
        <argsstring />
        <name>errorStatus1</name>
        <briefdescription>
<para>[31] - "1" - Indicates that hardware error has occured and ERROR_STATUS0 and ERROR_STATUS1 captured valid error-information. </para>        </briefdescription>
        <detaileddescription>
<para>[26..24] - The error source:<itemizedlist>
<listitem><para>"0": <bold>INSTR_OPC_ERROR</bold> - an instruction decoder error.</para></listitem><listitem><para>"1": <bold>INSTR_CC_ERROR</bold> - an instruction condition code-error.</para></listitem><listitem><para>"2": <bold>BUS_ERROR</bold> - a bus master interface AHB-Lite bus-error.<itemizedlist>
<listitem><para>[5..4] - violating the transfer, the size attribute<itemizedlist>
<listitem><para>"0": an 8-bit transfer;</para></listitem><listitem><para>"1": 16 bits transfer;</para></listitem><listitem><para>"2": 32-bit transfer.</para></listitem></itemizedlist>
</para></listitem><listitem><para>[0] - violating the transfer, read the attribute</para></listitem></itemizedlist>
</para></listitem><listitem><para>"3": <bold>TR_AP_DETECT_ERROR</bold> - True Random Generator error. </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="345" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="345" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure for storing a description of a Crypto hardware error. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="346" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" bodystart="322" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_common.h" line="323" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__crypto__hw__error__t_1a647486268a54948ae049242cc6a56e46" virt="non-virtual"><scope>cy_stc_crypto_hw_error_t</scope><name>errorStatus0</name></member>
      <member prot="public" refid="structcy__stc__crypto__hw__error__t_1a92b51f5f38bb57deb4428ce9b941cb55" virt="non-virtual"><scope>cy_stc_crypto_hw_error_t</scope><name>errorStatus1</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>